Package org.springframework.security.web

# Interface FilterChainProxy.FilterChainDecorator

All Known Implementing Classes:
  `FilterChainProxy.VirtualFilterChainDecorator`, `ObservationFilterChainDecorator`

Enclosing class:
  FilterChainProxy

public static interface FilterChainProxy.FilterChainDecorator
A strategy for decorating the provided filter chain with one that accounts for the `SecurityFilterChain` for a given request.

Since:
  6.0

## Method Summary

Modifier and Type
Method
Description
`default jakarta.servlet.FilterChain`
`decorate(jakarta.servlet.FilterChain original)`
Provide a new `FilterChain` that accounts for needed security considerations when there are no security filters.
`jakarta.servlet.FilterChain`
`decorate(jakarta.servlet.FilterChain original, List<jakarta.servlet.Filter> filters)`
Provide a new `FilterChain` that accounts for the provided filters as well as the original filter chain.

## Method Details

### decorate

default jakarta.servlet.FilterChain decorate(jakarta.servlet.FilterChain original)
Provide a new `FilterChain` that accounts for needed security considerations when there are no security filters.

Parameters:
  `original` - the original `FilterChain`
Returns:
  a security-enabled `FilterChain`

### decorate

jakarta.servlet.FilterChain decorate(jakarta.servlet.FilterChain original, List<jakarta.servlet.Filter> filters)
Provide a new `FilterChain` that accounts for the provided filters as well as the original filter chain.

Parameters:
  `original` - the original `FilterChain`
  `filters` - the security filters
Returns:
  a security-enabled `FilterChain` that includes the provided filters